Skip to main content
GET
/
v1
/
connections
/
{connectionId}
Read Connection
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "type": "DATABRICKS",
  "name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connectionId
string
required

Response

200 - application/json

OK

id
string

The unique object identifier.

version
integer<int64>

Data integrity version to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

type
enum<string>

The type of external connection.

Available options:
DATABRICKS
name
string

The name of the external connection.